KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm token list - List bootstrap tokens on the server

SYNOPSIS

kubeadm token list [OPTIONS]

DESCRIPTION

This command will list all bootstrap tokens for you.

OPTIONS

--allow-missing-template-keys=true
    If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats.

-o, --output="text"
    Output format. One of: text|json|yaml|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file.

--show-managed-fields=false
    If true, keep the managedFields when printing objects in JSON or YAML format.

OPTIONS INHERITED FROM PARENT COMMANDS

--dry-run=false
    Whether to enable dry-run mode or not

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-token(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!